const express = require('express');       // 引入Express
const userService = require('./service/user.js'); 
const diaryService = require('./service/diary.js'); 

const app = express();                    // 初始化Express
const port = 8000;                        // 使用8000端口

// 路由注册
app.get('/', async function(req, resp) {
  try {
    const data = {
      userInfo: await userService.getUserInfoById('u1'),     // u1用户的信息
      diaries: await diaryService.getAllDiaries(),           // 所有日记
    };
    resp.send(data);  // 向前端返回数据
  } catch (err) {
    // 向前端返回错误信息
    resp.status(500).send(err.message);
  }
});

// 启动服务器端程序
app.listen(port, function() {
    console.log('启动成功! 快试试吧~ http://localhost:' + port + '/');
});